// -- Button styles ----------------------------------------------------

.pure-button {
  display: inline-block;
  margin: 0px;
  padding: 8px 16px;
  min-height: 32px;
  background: $secondary-color-light;
  color: $secondary-color-dark;
  border: 1px solid $secondary-color;
  font-weight: $semi-bold;
  white-space: normal;
  @include border-radius();
  @include font-size(12);
  @include user-select(none);
  @include transition(all 0.2s ease-out);

  svg {
    user-select: none;
    pointer-events: none;
  }
  .icon {
    user-select: none;
    pointer-events: none;
  }
  .advanced-icon {
    display: inline-block;
    padding: 0 7px 0px 0px;
    vertical-align: middle;
    margin-top: 1px;
    float:left;

    svg {
      width: 16px;
      height: 16px;
      user-select: none;
    }
  }

  &:focus {
    border: 1px solid $secondary-color-dark;
    filter: brightness(105%);
  }
  &:hover {
    color: $secondary-color;
    filter: brightness(112%);
  }
}
.pure-button-fw {
  width: 100%;
}
.pure-button-large {
  min-height: 56px;
  /* margin-bottom: 24px; */
  padding: 19px 23px;
  @include font-size(14);
}
.pure-button-success {
  background: $button-success;
  border: 1px solid $button-success;
  color: white;

  &:hover {
    color: white;
    border: 1px solid $button-success;
  }
}
.pure-button-warning {
  background: $button-warning;
  border: 1px solid $button-warning;
  color: white;

  &:hover {
    color: white;
    border: 1px solid $button-warning;
  }
}
.pure-button-error {
  background: $button-error;
  border: 1px solid $button-error;
  color: white;

  &:hover {
    color: white;
    border: 1px solid $button-error;
  }
}

.pure-button-main {
  background-image: $button-primary;
  border: 1px solid #b44fc6;
  color: white;
  /* margin-bottom: 24px; */

  &:hover {
    background-image: $button-primary;
    border: 1px solid #b44fc6;
    color: white;
  }
  &:focus {
    background-image: $button-primary;
  }
}

.pure-button-secondary {
  background: $button-secondary;
  border: 1px solid $button-secondary;
  color: white;

  &:hover {
    border: 1px solid $button-secondary;
    color: white;
  }
}
.pure-button-misc {
  background: $button-misc;
  border: 1px solid $button-misc;
  color: white;

  &:hover {
    color: white;
    border: 1px solid $button-misc;
  }
}
.pure-button-light {
  background: rgba(white, .3);
  border: 1px solid transparent;
  color: white;

  &:hover {
    border: 1px solid transparent;
    color: white;
  }
}
.disabled, .pure-button[disabled] {
  opacity: 0.5;
  cursor: default;
  box-shadow: none;
}
.disabled:hover, .pure-button[disabled]:hover, .disabled:focus, .pure-button[disabled]:focus  {
  opacity: 0.4;
}
.button-label {
  @include breakpoint(medium) { display: inline; }
}
